package com.mortals.xhx.module.feedback.model;

import java.util.List;
import java.util.List;
import com.mortals.xhx.module.feedback.model.FeedbackQuestionEntity;
/**
* 绩效反馈问题查询对象
*
* @author zxfei
* @date 2023-07-05
*/
public class FeedbackQuestionQuery extends FeedbackQuestionEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 反馈问卷id号 */
    private Long feedbackIdStart;

    /** 结束 反馈问卷id号 */
    private Long feedbackIdEnd;

    /** 增加 反馈问卷id号 */
    private Long feedbackIdIncrement;

    /** 反馈问卷id号列表 */
    private List <Long> feedbackIdList;

    /** 反馈问卷id号排除列表 */
    private List <Long> feedbackIdNotList;

    /** 问题内容 */
    private List<String> contentList;

    /** 问题内容排除列表 */
    private List <String> contentNotList;
    /** 开始 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件) */
    private Integer questionTypeStart;

    /** 结束 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件) */
    private Integer questionTypeEnd;

    /** 增加 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件) */
    private Integer questionTypeIncrement;

    /** 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)列表 */
    private List <Integer> questionTypeList;

    /** 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)排除列表 */
    private List <Integer> questionTypeNotList;

    /** 开始 是否必填(0.否,1.是) */
    private Integer requireStart;

    /** 结束 是否必填(0.否,1.是) */
    private Integer requireEnd;

    /** 增加 是否必填(0.否,1.是) */
    private Integer requireIncrement;

    /** 是否必填(0.否,1.是)列表 */
    private List <Integer> requireList;

    /** 是否必填(0.否,1.是)排除列表 */
    private List <Integer> requireNotList;

    /** 样式 */
    private List<String> styleList;

    /** 样式排除列表 */
    private List <String> styleNotList;
    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FeedbackQuestionQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FeedbackQuestionQuery> andConditionList;

    public FeedbackQuestionQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 反馈问卷id号
    * @return feedbackIdStart
    */
    public Long getFeedbackIdStart(){
        return this.feedbackIdStart;
    }

    /**
    * 设置 开始 反馈问卷id号
    * @param feedbackIdStart
    */
    public void setFeedbackIdStart(Long feedbackIdStart){
        this.feedbackIdStart = feedbackIdStart;
    }

    /**
    * 获取 结束 反馈问卷id号
    * @return $feedbackIdEnd
    */
    public Long getFeedbackIdEnd(){
        return this.feedbackIdEnd;
    }

    /**
    * 设置 结束 反馈问卷id号
    * @param feedbackIdEnd
    */
    public void setFeedbackIdEnd(Long feedbackIdEnd){
        this.feedbackIdEnd = feedbackIdEnd;
    }

    /**
    * 获取 增加 反馈问卷id号
    * @return feedbackIdIncrement
    */
    public Long getFeedbackIdIncrement(){
        return this.feedbackIdIncrement;
    }

    /**
    * 设置 增加 反馈问卷id号
    * @param feedbackIdIncrement
    */
    public void setFeedbackIdIncrement(Long feedbackIdIncrement){
        this.feedbackIdIncrement = feedbackIdIncrement;
    }

    /**
    * 获取 反馈问卷id号
    * @return feedbackIdList
    */
    public List<Long> getFeedbackIdList(){
        return this.feedbackIdList;
    }

    /**
    * 设置 反馈问卷id号
    * @param feedbackIdList
    */
    public void setFeedbackIdList(List<Long> feedbackIdList){
        this.feedbackIdList = feedbackIdList;
    }

    /**
    * 获取 反馈问卷id号
    * @return feedbackIdNotList
    */
    public List<Long> getFeedbackIdNotList(){
        return this.feedbackIdNotList;
    }

    /**
    * 设置 反馈问卷id号
    * @param feedbackIdNotList
    */
    public void setFeedbackIdNotList(List<Long> feedbackIdNotList){
        this.feedbackIdNotList = feedbackIdNotList;
    }


    /**
    * 获取 问题内容
    * @return contentList
    */
    public List<String> getContentList(){
        return this.contentList;
    }

    /**
    * 设置 问题内容
    * @param contentList
    */
    public void setContentList(List<String> contentList){
        this.contentList = contentList;
    }

    /**
    * 获取 问题内容
    * @return contentNotList
    */
    public List<String> getContentNotList(){
        return this.contentNotList;
    }

    /**
    * 设置 问题内容
    * @param contentNotList
    */
    public void setContentNotList(List<String> contentNotList){
        this.contentNotList = contentNotList;
    }

    /**
    * 获取 开始 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @return questionTypeStart
    */
    public Integer getQuestionTypeStart(){
        return this.questionTypeStart;
    }

    /**
    * 设置 开始 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeStart
    */
    public void setQuestionTypeStart(Integer questionTypeStart){
        this.questionTypeStart = questionTypeStart;
    }

    /**
    * 获取 结束 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @return $questionTypeEnd
    */
    public Integer getQuestionTypeEnd(){
        return this.questionTypeEnd;
    }

    /**
    * 设置 结束 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeEnd
    */
    public void setQuestionTypeEnd(Integer questionTypeEnd){
        this.questionTypeEnd = questionTypeEnd;
    }

    /**
    * 获取 增加 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @return questionTypeIncrement
    */
    public Integer getQuestionTypeIncrement(){
        return this.questionTypeIncrement;
    }

    /**
    * 设置 增加 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeIncrement
    */
    public void setQuestionTypeIncrement(Integer questionTypeIncrement){
        this.questionTypeIncrement = questionTypeIncrement;
    }

    /**
    * 获取 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @return questionTypeList
    */
    public List<Integer> getQuestionTypeList(){
        return this.questionTypeList;
    }

    /**
    * 设置 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeList
    */
    public void setQuestionTypeList(List<Integer> questionTypeList){
        this.questionTypeList = questionTypeList;
    }

    /**
    * 获取 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @return questionTypeNotList
    */
    public List<Integer> getQuestionTypeNotList(){
        return this.questionTypeNotList;
    }

    /**
    * 设置 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeNotList
    */
    public void setQuestionTypeNotList(List<Integer> questionTypeNotList){
        this.questionTypeNotList = questionTypeNotList;
    }


    /**
    * 获取 开始 是否必填(0.否,1.是)
    * @return requireStart
    */
    public Integer getRequireStart(){
        return this.requireStart;
    }

    /**
    * 设置 开始 是否必填(0.否,1.是)
    * @param requireStart
    */
    public void setRequireStart(Integer requireStart){
        this.requireStart = requireStart;
    }

    /**
    * 获取 结束 是否必填(0.否,1.是)
    * @return $requireEnd
    */
    public Integer getRequireEnd(){
        return this.requireEnd;
    }

    /**
    * 设置 结束 是否必填(0.否,1.是)
    * @param requireEnd
    */
    public void setRequireEnd(Integer requireEnd){
        this.requireEnd = requireEnd;
    }

    /**
    * 获取 增加 是否必填(0.否,1.是)
    * @return requireIncrement
    */
    public Integer getRequireIncrement(){
        return this.requireIncrement;
    }

    /**
    * 设置 增加 是否必填(0.否,1.是)
    * @param requireIncrement
    */
    public void setRequireIncrement(Integer requireIncrement){
        this.requireIncrement = requireIncrement;
    }

    /**
    * 获取 是否必填(0.否,1.是)
    * @return requireList
    */
    public List<Integer> getRequireList(){
        return this.requireList;
    }

    /**
    * 设置 是否必填(0.否,1.是)
    * @param requireList
    */
    public void setRequireList(List<Integer> requireList){
        this.requireList = requireList;
    }

    /**
    * 获取 是否必填(0.否,1.是)
    * @return requireNotList
    */
    public List<Integer> getRequireNotList(){
        return this.requireNotList;
    }

    /**
    * 设置 是否必填(0.否,1.是)
    * @param requireNotList
    */
    public void setRequireNotList(List<Integer> requireNotList){
        this.requireNotList = requireNotList;
    }


    /**
    * 获取 样式
    * @return styleList
    */
    public List<String> getStyleList(){
        return this.styleList;
    }

    /**
    * 设置 样式
    * @param styleList
    */
    public void setStyleList(List<String> styleList){
        this.styleList = styleList;
    }

    /**
    * 获取 样式
    * @return styleNotList
    */
    public List<String> getStyleNotList(){
        return this.styleNotList;
    }

    /**
    * 设置 样式
    * @param styleNotList
    */
    public void setStyleNotList(List<String> styleNotList){
        this.styleNotList = styleNotList;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public FeedbackQuestionQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public FeedbackQuestionQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public FeedbackQuestionQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public FeedbackQuestionQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public FeedbackQuestionQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public FeedbackQuestionQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  反馈问卷id号
    * @param feedbackId
    */
    public FeedbackQuestionQuery feedbackId(Long feedbackId){
	    setFeedbackId(feedbackId);
		return this;
    }
	
	 /**
    * 设置 开始 反馈问卷id号
    * @param feedbackIdStart
    */
    public FeedbackQuestionQuery feedbackIdStart(Long feedbackIdStart){
		this.feedbackIdStart = feedbackIdStart;
		return this;
    }

    /**
    * 设置 结束 反馈问卷id号
    * @param feedbackIdEnd
    */
    public FeedbackQuestionQuery feedbackIdEnd(Long feedbackIdEnd){
		this.feedbackIdEnd = feedbackIdEnd;
		return this;
    }

    /**
    * 设置 增加 反馈问卷id号
    * @param feedbackIdIncrement
    */
    public FeedbackQuestionQuery feedbackIdIncrement(Long feedbackIdIncrement){
		this.feedbackIdIncrement = feedbackIdIncrement;
		return this;
    }

    /**
    * 设置 反馈问卷id号
    * @param feedbackIdList
    */
    public FeedbackQuestionQuery feedbackIdList(List<Long> feedbackIdList){
        this.feedbackIdList = feedbackIdList;
		return this;
        }

        /**
        * 设置 反馈问卷id号
        * @param feedbackIdNotList
        */
        public FeedbackQuestionQuery feedbackIdNotList(List<Long> feedbackIdNotList){
        this.feedbackIdNotList = feedbackIdNotList;
        return this;
        }


	/**
    * 设置 问题内容
    * @param content
    */
    public FeedbackQuestionQuery content(String content){
        setContent(content);
		return this;
    }

    /**
    * 设置 问题内容
    * @param contentList
    */
    public FeedbackQuestionQuery contentList(List<String> contentList){
        this.contentList = contentList;
		return this;
    }

    /**
    * 设置  问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionType
    */
    public FeedbackQuestionQuery questionType(Integer questionType){
	    setQuestionType(questionType);
		return this;
    }
	
	 /**
    * 设置 开始 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeStart
    */
    public FeedbackQuestionQuery questionTypeStart(Integer questionTypeStart){
		this.questionTypeStart = questionTypeStart;
		return this;
    }

    /**
    * 设置 结束 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeEnd
    */
    public FeedbackQuestionQuery questionTypeEnd(Integer questionTypeEnd){
		this.questionTypeEnd = questionTypeEnd;
		return this;
    }

    /**
    * 设置 增加 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeIncrement
    */
    public FeedbackQuestionQuery questionTypeIncrement(Integer questionTypeIncrement){
		this.questionTypeIncrement = questionTypeIncrement;
		return this;
    }

    /**
    * 设置 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
    * @param questionTypeList
    */
    public FeedbackQuestionQuery questionTypeList(List<Integer> questionTypeList){
        this.questionTypeList = questionTypeList;
		return this;
        }

        /**
        * 设置 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
        * @param questionTypeNotList
        */
        public FeedbackQuestionQuery questionTypeNotList(List<Integer> questionTypeNotList){
        this.questionTypeNotList = questionTypeNotList;
        return this;
        }

    /**
    * 设置  是否必填(0.否,1.是)
    * @param require
    */
    public FeedbackQuestionQuery require(Integer require){
	    setRequire(require);
		return this;
    }
	
	 /**
    * 设置 开始 是否必填(0.否,1.是)
    * @param requireStart
    */
    public FeedbackQuestionQuery requireStart(Integer requireStart){
		this.requireStart = requireStart;
		return this;
    }

    /**
    * 设置 结束 是否必填(0.否,1.是)
    * @param requireEnd
    */
    public FeedbackQuestionQuery requireEnd(Integer requireEnd){
		this.requireEnd = requireEnd;
		return this;
    }

    /**
    * 设置 增加 是否必填(0.否,1.是)
    * @param requireIncrement
    */
    public FeedbackQuestionQuery requireIncrement(Integer requireIncrement){
		this.requireIncrement = requireIncrement;
		return this;
    }

    /**
    * 设置 是否必填(0.否,1.是)
    * @param requireList
    */
    public FeedbackQuestionQuery requireList(List<Integer> requireList){
        this.requireList = requireList;
		return this;
        }

        /**
        * 设置 是否必填(0.否,1.是)
        * @param requireNotList
        */
        public FeedbackQuestionQuery requireNotList(List<Integer> requireNotList){
        this.requireNotList = requireNotList;
        return this;
        }


	/**
    * 设置 样式
    * @param style
    */
    public FeedbackQuestionQuery style(String style){
        setStyle(style);
		return this;
    }

    /**
    * 设置 样式
    * @param styleList
    */
    public FeedbackQuestionQuery styleList(List<String> styleList){
        this.styleList = styleList;
		return this;
    }


	/**
    * 设置 备注
    * @param remark
    */
    public FeedbackQuestionQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public FeedbackQuestionQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public FeedbackQuestionQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public FeedbackQuestionQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public FeedbackQuestionQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public FeedbackQuestionQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public FeedbackQuestionQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public FeedbackQuestionQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public FeedbackQuestionQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public FeedbackQuestionQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public FeedbackQuestionQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public FeedbackQuestionQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public FeedbackQuestionQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public FeedbackQuestionQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FeedbackQuestionQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<FeedbackQuestionQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FeedbackQuestionQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<FeedbackQuestionQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}